/**
 * 公共接口
 */
import request from './index'
// 上传文件
export function uploadFile(data: FormData) {
  return request({
    url: 'minio/file/upload',
    method: 'post',
    data,
  })
}

// 获取文件地址
export function getFileUrl(fileName: string) {
  return request({
    url: `/minio/file/url?fileName=${fileName}`,
    method: 'get',
  })
}

// 下载文件
export function downloadFile(fileName: string) {
  return request({
    url: `/minio/file/download/stream?fileName=${fileName}`,
    method: 'post',
    responseType: 'blob',
  })
}
